Subject: bug#70030: 29.3; package.el confused by ELPA nongnu archive meta-data for `annotate` listing multiple maintainers

From: Philip Kaludercic <[email-masked]>
Date: Fri, 29 Mar 2024 07:59:27 +0000

Herbert Valerio Riedel <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>>> I'm not sure if this a bug in package.el proper or rather an ELPA
>>> archive bug:
>>>
>>> When invoking `M-x describe-package annotate` to describe the `annotate`
>>> package from https://elpa.nongnu.org/nongnu/annotate.html the function
>>> errors out with
>>>
>>>     describe-package-1: Wrong type argument: char-or-string-p, ("Bastian Bechtold" . "[email-masked]")
>
> ...
>
>> This sounds like a duplicate of bug#68288, that was resolved with
>> 73cb931e5bab1b956f0569cd542468cfa7f4c9a7.  I cannot reproduce the bug on
>> master, either with annotate or with marginalia.
>
> Oh, sorry for the noise then... I should have tried harder to find a
> preexisting bug report about this :-/

No problem, I'll close the bug then.

> However, what shall be done about entries with malformed :maintainer
> properties such as
>
>      (gnuplot .
>           [(0 8 1)
>            ((emacs
>              (25 1)))
>            "Major-mode and interactive frontend for gnuplot" tar
>            ((:url . "https://github.com/emacs-gnuplot/gnuplot")
>             (:keywords "data" "gnuplot" "plotting")
>             (:maintainer "Maxime Tréca <[email-masked]>, Daniel Mendler" . "[email-masked]")
>             (:authors
>              ("Jon Oddie, Bruce Ravel, Phil Type"))
>             (:commit . "663a89d263d4f26b996796d01b6a3b783449e0f5"))])
>
>
> is this considered an package bug to be dealt with by the upstream
> maintainer or rather a bug in the ELPA archive index creation step (and
> whom shall I contact for that?) which apparently extracted the
> information from
>
>   https://raw.githubusercontent.com/emacs-gnuplot/gnuplot/0.8.1/gnuplot.el
>
> which states
>
> ;; Author:           Jon Oddie, Bruce Ravel, Phil Type
> ;; Maintainer:       Maxime Tréca <[email-masked]>, Daniel Mendler <[email-masked]>
> ;; Created:          1998
> ;; Version:          0.8.1
> ;; Keywords:         data gnuplot plotting
> ;; URL:              https://github.com/emacs-gnuplot/gnuplot
> ;; Package-Requires: ((emacs "25.1"))

That is not the responsibility of the package maintainers.  Their header
is well-formed, I believe this was a bug with the elpa-admin.el script.
Either way, if I run the script locally, I get this entry in
archive-contents:

 --8<---------------cut here---------------start------------->8---
(gnuplot
  . [(0 8 1) ((emacs (25 1)))
     "Major-mode and interactive frontend for gnuplot" tar
     ((:url . "https://github.com/emacs-gnuplot/gnuplot")
      (:keywords "data" "gnuplot" "plotting")
      (:maintainer ("Maxime Tréca" . "[email-masked]")
		   ("Daniel Mendler" . "[email-masked]"))
      (:commit . "663a89d263d4f26b996796d01b6a3b783449e0f5"))])
--8<---------------cut here---------------end--------------->8---

So the issue can be fixed upstream by releasing a new version of the
package.

-- 
	Philip Kaludercic on peregrine